'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _taggedTemplateLiteral2 = require('babel-runtime/helpers/taggedTemplateLiteral');

var _taggedTemplateLiteral3 = _interopRequireDefault(_taggedTemplateLiteral2);

var _templateObject = (0, _taggedTemplateLiteral3.default)(['\n  outline: 0;\n  cursor: pointer;\n  border-radius: ', ';\n  font-size: ', ';\n  line-height: ', ';\n  font-weight: ', ';\n  min-width: ', ';\n  padding-top: ', ';\n  padding-bottom: ', ';\n  padding-left: ', ';\n  padding-right: ', ';\n  margin-top: ', ';\n  margin-bottom: ', ';\n  border-width: ', ';\n  border-style: ', ';\n  ', ';\n  ', ';\n'], ['\n  outline: 0;\n  cursor: pointer;\n  border-radius: ', ';\n  font-size: ', ';\n  line-height: ', ';\n  font-weight: ', ';\n  min-width: ', ';\n  padding-top: ', ';\n  padding-bottom: ', ';\n  padding-left: ', ';\n  padding-right: ', ';\n  margin-top: ', ';\n  margin-bottom: ', ';\n  border-width: ', ';\n  border-style: ', ';\n  ', ';\n  ', ';\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _button = require('../Tokens/button');

var _button2 = _interopRequireDefault(_button);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var noWrap = '\n  overflow: hidden;\n  text-overflow: ellipsis;\n  white-space: nowrap;\n';

var primaryStyle = function primaryStyle(props) {
  return '\n  background-color: ' + props.theme.button.primary.backgroundColor + ';\n  border-color: ' + props.theme.button.primary.borderColor + ';\n  color: ' + props.theme.button.primary.color + ';\n  &:hover {\n    background-color: ' + props.theme.button.primary.hover.backgroundColor + ';\n    border-color: ' + props.theme.button.primary.hover.borderColor + ';\n    color: ' + props.theme.button.primary.hover.color + ';\n  }\n  &:focus {\n    background-color: ' + props.theme.button.primary.focus.backgroundColor + ';\n    border-color: ' + props.theme.button.primary.focus.borderColor + ';\n    color: ' + props.theme.button.primary.focus.color + ';\n  }\n  &:disabled {\n    background-color: ' + props.theme.button.primary.disabled.backgroundColor + ';\n    border-color: ' + props.theme.button.primary.disabled.borderColor + ';\n    color: ' + props.theme.button.primary.disabled.color + ';\n  }\n';
};

var standardStyle = function standardStyle(props) {
  return '\n  background-color: ' + props.theme.button.standard.backgroundColor + ';\n  border-color: ' + props.theme.button.standard.borderColor + ';\n  color: ' + props.theme.button.standard.color + ';\n  &:hover {\n    background-color: ' + props.theme.button.standard.hover.backgroundColor + ';\n    border-color: ' + props.theme.button.standard.hover.borderColor + ';\n    color: ' + props.theme.button.standard.hover.color + ';\n  }\n  &:focus {\n    background-color: ' + props.theme.button.standard.focus.backgroundColor + ';\n    border-color: ' + props.theme.button.standard.focus.borderColor + ';\n    color: ' + props.theme.button.standard.focus.color + ';\n  }\n  &:disabled {\n    background-color: ' + props.theme.button.standard.disabled.backgroundColor + ';\n    border-color: ' + props.theme.button.standard.disabled.borderColor + ';\n    color: ' + props.theme.button.standard.disabled.color + ';\n  }\n';
};

var SButton = _styledComponents2.default.button(_templateObject, function (props) {
  return props.theme.button.borderRadius;
}, function (props) {
  return props.theme.button.fontSize;
}, function (props) {
  return props.theme.button.lineHeight;
}, function (props) {
  return props.theme.button.fontWeight;
}, function (props) {
  return props.theme.button.minWidth;
}, function (props) {
  return props.theme.button.paddingTop;
}, function (props) {
  return props.theme.button.paddingBottom;
}, function (props) {
  return props.theme.button.paddingLeft;
}, function (props) {
  return props.theme.button.paddingRight;
}, function (props) {
  return props.theme.button.marginTop;
}, function (props) {
  return props.theme.button.marginBottom;
}, function (props) {
  return props.theme.button.borderWidth;
}, function (props) {
  return props.theme.button.borderStyle;
}, function (props) {
  return props.type === 'primary' ? primaryStyle(props) : standardStyle(props);
}, function (props) {
  return !props.noWrap && noWrap;
});

function Button(props) {
  if (props.href !== null && props.href !== undefined) {
    return _react2.default.createElement(
      'a',
      { href: props.href },
      _react2.default.createElement(SButton, props)
    );
  }
  return _react2.default.createElement(SButton, props);
}

Button.propTypes = process.env.NODE_ENV !== "production" ? {
  href: _propTypes2.default.string,
  noWrap: _propTypes2.default.bool,
  theme: _propTypes2.default.object,
  type: _propTypes2.default.string
} : {};

Button.defaultProps = {
  href: null,
  type: 'standard',
  theme: {
    button: (0, _extends3.default)({}, _button2.default.base, {
      standard: (0, _extends3.default)({}, _button2.default.standard),
      primary: (0, _extends3.default)({}, _button2.default.primary)
    })
  }
};

exports.default = Button;