'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _colors = require('./base/colors');

var _colors2 = _interopRequireDefault(_colors);

var _font = require('./base/font');

var _font2 = _interopRequireDefault(_font);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
  base: {
    borderRadius: '27px',
    fontSize: _font2.default.body.fontSize,
    lineHeight: _font2.default.body.lineHeight,
    fontWeight: 'bold',
    height: '54px',
    minWidth: '150px',
    paddingTop: '15px',
    paddingBottom: '15px',
    paddingLeft: '24px',
    paddingRight: '24px',
    marginTop: '18px',
    marginBottom: '18px',
    borderWidth: '1px',
    borderStyle: 'solid'
  },
  standard: {
    backgroundColor: _colors2.default.white,
    borderColor: _colors2.default.brand100,
    // Text color
    color: _colors2.default.brand100,
    hover: {
      // Fill
      backgroundColor: _colors2.default.brand50,
      borderColor: _colors2.default.brand100,
      // Text color
      color: _colors2.default.brand100
    },
    focus: {
      // Fill
      backgroundColor: _colors2.default.brand300,
      borderColor: _colors2.default.brand300,
      // Text color
      color: _colors2.default.white
    },
    disabled: {
      // Fill
      backgroundColor: _colors2.default.grey100,
      borderColor: _colors2.default.grey200,
      // Text color
      color: _colors2.default.grey400
    }
  },
  primary: {
    backgroundColor: _colors2.default.brand100,
    borderColor: _colors2.default.brand100,
    // Text color
    color: _colors2.default.white,
    hover: {
      // Fill
      backgroundColor: _colors2.default.brand50,
      borderColor: _colors2.default.brand100,
      // Text color
      color: _colors2.default.brand100
    },
    focus: {
      // Fill
      backgroundColor: _colors2.default.brand300,
      borderColor: _colors2.default.brand300,
      // Text color
      color: _colors2.default.white
    },
    disabled: {
      // Fill
      backgroundColor: _colors2.default.grey100,
      borderColor: _colors2.default.grey200,
      // Text color
      color: _colors2.default.grey400
    }
  }
};