import React from 'react';
import PropTypes from 'prop-types';
import styled from 'styled-components';

const noWrap = `
  overflow: 'hidden',
  textOverflow: 'ellipsis',
  whiteSpace: 'nowrap',
`;

const STitle = styled.h1`
  font-size: 1.5em;
  ${props => props.align && `text-align: ${props.align};`};
  ${props => props.noWrap && noWrap};
  color: palevioletred;
`;

function Title(props) {
  return React.createElement(STitle, props);
}

Title.propTypes = process.env.NODE_ENV !== "production" ? {
  /**
   * Set the text-align on the component.
   */
  align: PropTypes.oneOf(['inherit', 'left', 'center', 'right', 'justify']),
  /**
   * The content of the component.
   */
  children: PropTypes.node,
  /**
   * The content of the component.
   */
  color: PropTypes.string,
  /**
   * The content of the component.
   */
  gutterBottom: PropTypes.bool,
  /**
   * If `true`, the text will not wrap, but instead will truncate with an ellipsis.
   */
  noWrap: PropTypes.bool
} : {};

Title.defaultProps = {
  align: 'inherit',
  color: 'default',
  gutterBottom: false,
  noWrap: false
};

export default Title;