import colors from './base/colors';
import font from './base/font';

export default {
  base: {
    borderRadius: '27px',
    fontSize: font.body.fontSize,
    lineHeight: font.body.lineHeight,
    fontWeight: 'bold',
    height: '54px',
    minWidth: '150px',
    paddingTop: '15px',
    paddingBottom: '15px',
    paddingLeft: '24px',
    paddingRight: '24px',
    marginTop: '18px',
    marginBottom: '18px',
    borderWidth: '1px',
    borderStyle: 'solid'
  },
  standard: {
    backgroundColor: colors.white,
    borderColor: colors.brand100,
    // Text color
    color: colors.brand100,
    hover: {
      // Fill
      backgroundColor: colors.brand50,
      borderColor: colors.brand100,
      // Text color
      color: colors.brand100
    },
    focus: {
      // Fill
      backgroundColor: colors.brand300,
      borderColor: colors.brand300,
      // Text color
      color: colors.white
    },
    disabled: {
      // Fill
      backgroundColor: colors.grey100,
      borderColor: colors.grey200,
      // Text color
      color: colors.grey400
    }
  },
  primary: {
    backgroundColor: colors.brand100,
    borderColor: colors.brand100,
    // Text color
    color: colors.white,
    hover: {
      // Fill
      backgroundColor: colors.brand50,
      borderColor: colors.brand100,
      // Text color
      color: colors.brand100
    },
    focus: {
      // Fill
      backgroundColor: colors.brand300,
      borderColor: colors.brand300,
      // Text color
      color: colors.white
    },
    disabled: {
      // Fill
      backgroundColor: colors.grey100,
      borderColor: colors.grey200,
      // Text color
      color: colors.grey400
    }
  }
};